## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname           3270font
%global foundry           rbanffy
%global fontlicense       BSD and OFL
%global fontlicenses      LICENSE.txt
%global fontdocs          README.md CHANGELOG.md

%global fontfamily        3270
%global fontsummary       Monospaced font based on IBM 3270 terminals
%global fonts             build/*.otf
%global fontconfs         %{SOURCE10}
%global fontdescription   %{expand:
This font is derived from the x3270 font, which, in turn, was translated from
the one in Georgia Tech's 3270tool, which was itself hand-copied from a 3270
terminal.}

Version:                  3.0.1
Release:                  %autorelease
URL:                      https://github.com/rbanffy/3270font
Source0:                  %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Source10:                 65-%{fontpkgname}.conf
BuildRequires:            fontforge
BuildRequires:            make

%fontpkg

%prep
%autosetup -n %{srcname}-%{version}

%build
%{__make} font
%fontbuild

%install
%fontinstall

%check
for f in %{fonts}; do
  # https://github.com/rbanffy/3270font/issues/110
  fontlint -i 98 -i 2 -i 5 -i 3 $f
done
%fontcheck

%fontfiles

%changelog
* Sat Oct 15 2022 Davide Cavalca <dcavalca@fedoraproject.org> 3.0.1-1
- Update to 3.0.1; Fixes: RHBZ#2112616

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Davide Cavalca <dcavalca@fedoraproject.org> 3.0.0-1
- Update to 3.0.0; Fixes: RHBZ#2103115

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Oct 22 2021 Davide Cavalca <dcavalca@fedoraproject.org> 2.3.1-1
- Update to 2.3.1; Fixes: RHBZ#2012347

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Mar 15 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 2.3.0-1
- New upstream release
- Update URL
- Fix license
- Define foundry and rename package accordingly
- Switch to %%autosetup
- Add fontconfig file

* Wed Mar 03 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 2.2.1-1
- Initial package

